﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PDT
{
    public class DiskFactory
    {
        public static DiskImage CreateDisk(string filename)
        {
            return CreateDisk(filename, null);
        }

        public static DiskImage CreateDisk(string filename, DiskContents contents)
        {
            DiskImage retVal = null;
            if (filename.ToUpper().EndsWith(".DMK"))
            {
                retVal = new DMKImage(filename,contents);    
            }
            else if (filename.ToUpper().EndsWith(".PDI"))
            {
                retVal = new PDIImage(filename,contents);
            }
            else
            {
                retVal = new DSKImage(filename,contents);
            }
            return retVal;
        }
    }
}
